package mathematique;

import java.awt.*;
import javax.swing.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class Ausgabekarteikarte extends JPanel {
    BorderLayout borderLayout1 = new BorderLayout();
    JSplitPane splitTextGrafik = new JSplitPane();
    JScrollPane scrText = new JScrollPane();
    JTextPane edtText = new JTextPane();
    JScrollPane scrGrafik = new JScrollPane();
    JLabel lblGrafik = new JLabel();
    JLabel lblInformation = new JLabel();

    public Ausgabekarteikarte() {
        try {
            jbInit();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }
    void jbInit() throws Exception {
        this.setLayout(borderLayout1);
        splitTextGrafik.setOrientation(JSplitPane.VERTICAL_SPLIT);
        lblGrafik.setHorizontalAlignment(SwingConstants.CENTER);
        lblGrafik.setText("Keine grafische Ausgabe mglich");
        lblInformation.setHorizontalAlignment(SwingConstants.CENTER);
        lblInformation.setText("keine Information erhltlich");
        scrText.setMinimumSize(new Dimension(28, 28));
        scrText.setPreferredSize(new Dimension(398, 28));
        edtText.setPreferredSize(new Dimension(394, 100));
        edtText.setMinimumSize(new Dimension(394, 60));
        edtText.setEditable(false);
        this.add(splitTextGrafik, BorderLayout.CENTER);
        splitTextGrafik.add(scrText, JSplitPane.TOP);
        splitTextGrafik.add(scrGrafik, JSplitPane.BOTTOM);
        this.add(lblInformation, BorderLayout.NORTH);
        scrGrafik.getViewport().add(lblGrafik, null);
        scrText.getViewport().add(edtText, null);
        splitTextGrafik.setDividerLocation(100);
    }

	public void registriereEingabekarteikarte( Eingabekarteikarte karte ) {
		if (karte.getErgebnis() == null ) {
			edtText.setText("kein Ergebnis");
		} else {
			edtText.setText(karte.getErgebnis());
		}

		scrGrafik.getViewport().removeAll();
		if (karte.getGrafik() == null )	{
            scrGrafik.getViewport().add(lblGrafik, null);
		} else {
			scrGrafik.getViewport().add(karte.getGrafik(), null);
		}

		lblInformation.setText(karte.getInformation());
	}
}