package mathematique;

import javax.swing.*;
import java.awt.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class Subtraktionskarteikarte extends Eingabekarteikarte {
  JPanel panEingabe = new JPanel();
  JTextField txtA = new JTextField();
  JLabel lblOperator = new JLabel();
  JTextField txtB = new JTextField();
  GridBagLayout gridBagLayout1 = new GridBagLayout();

  /** Wird zur Berechnung bentigt. */
  private double a, b, ergebnis;

  public Subtraktionskarteikarte() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    panEingabe.setLayout(gridBagLayout1);
    txtA.setHorizontalAlignment(SwingConstants.RIGHT);
    lblOperator.setHorizontalAlignment(SwingConstants.CENTER);
    lblOperator.setText("-");
    txtB.setHorizontalAlignment(SwingConstants.RIGHT);
    this.add(panEingabe, BorderLayout.CENTER);
    panEingabe.add(txtA, new GridBagConstraints(0, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));
    panEingabe.add(lblOperator, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTH, GridBagConstraints.NONE, new Insets(5, 15, 5, 15), 0, 0));
    panEingabe.add(txtB, new GridBagConstraints(2, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.NORTHEAST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));
  }

    /** Berechne aus den eingegebenen Werten das Ergebnis. Nach dem Aufruf dieser
     *  Methode wird die Ausgabe angezeigt, die sich die Ergebnisse/ Informationen
     *  aus getInformation(), getErgebnis() und getGrafik() holt.
     */
    public void rechne() {
            a = (new Double(txtA.getText())).doubleValue();
            b = (new Double(txtB.getText())).doubleValue();
            ergebnis = a - b;
    }

    /** Liefert den Text, der als Information in der Ausgabe gezeigt werden soll. */
    public String getInformation() {
            return "Die Substraction zweier Zahlen";
    }

    /** Liefert den Text, der als Ergebnis angezeigt werden soll. */
    public String getErgebnis() {
      return a + " - " + b + " = " + ergebnis;
    }
}