package mathematique;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class MainFrame extends JFrame {
    JPanel contentPane;
    BorderLayout borderLayout1 = new BorderLayout();
    JTabbedPane Karteikasten = new JTabbedPane();
    Additionskarteikarte additionskarteikarte1 = new Additionskarteikarte();
    Ausgabekarteikarte ausgabekarteikarte1 = new Ausgabekarteikarte();

	ActionListener al = new ActionListener() {
		public void actionPerformed( ActionEvent e ) {
			if (e.getSource() instanceof Eingabekarteikarte) {
				Eingabekarteikarte karte = (Eingabekarteikarte) e.getSource();
				ausgabekarteikarte1.registriereEingabekarteikarte(karte);
				Karteikasten.setSelectedComponent(ausgabekarteikarte1);
			}
		}
	};
  Subtraktionskarteikarte subtraktionskarteikarte1 = new Subtraktionskarteikarte();
  Multiplikationskarteikarte multiplikationskarteikarte1 = new Multiplikationskarteikarte();
  Divisionskarteikarte div = new Divisionskarteikarte();

    /**Construct the frame*/
    public MainFrame() {
        enableEvents(AWTEvent.WINDOW_EVENT_MASK);
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
    /**Component initialization*/
    private void jbInit() throws Exception  {
        //setIconImage(Toolkit.getDefaultToolkit().createImage(MainFrame.class.getResource("[Your Icon]")));
        contentPane = (JPanel) this.getContentPane();
        contentPane.setLayout(borderLayout1);
        this.setSize(new Dimension(400, 300));
        this.setTitle("Mathematique");
        contentPane.add(Karteikasten, BorderLayout.CENTER);
        Karteikasten.add(additionskarteikarte1, "Addition");
        Karteikasten.add(subtraktionskarteikarte1, "Substraktion");
        Karteikasten.add(multiplikationskarteikarte1, "Multiplikation");
		Karteikasten.add(div,"Division");
        Karteikasten.add(ausgabekarteikarte1, "Ausgabe");
        additionskarteikarte1.setActionListener(al);
        subtraktionskarteikarte1.setActionListener(al);
        multiplikationskarteikarte1.setActionListener(al);
		div.setActionListener(al);
    }
    /**Overridden so we can exit when window is closed*/
    protected void processWindowEvent(WindowEvent e) {
        super.processWindowEvent(e);
        if (e.getID() == WindowEvent.WINDOW_CLOSING) {
            System.exit(0);
        }
    }
}